﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        Customers:
        <asp:DropDownList ID="DropDownList1" AutoPostBack="true" DataSourceID="AccessDataSource1"
            DataTextField="CompanyName" DataValueField="CustomerID" AppendDataBoundItems="true"
            runat="server">
            <asp:ListItem Value="" />
        </asp:DropDownList>
        <asp:Button ID="Button1" Text="Reload slow loading area" runat="server" />
        <asp:UpdatePanel ID="UpdatePanel1" UpdateMode="Conditional" runat="server">
            <ContentTemplate>
                Orders:
                <asp:GridView ID="GridView1" DataSourceID="AccessDataSource2" AllowSorting="true"
                    AllowPaging="true" runat="server" />
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="DropDownList1" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
            SelectCommand="SELECT CustomerID, CompanyName FROM [Customers]"></asp:AccessDataSource>
        <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile="~/App_Data/Nwind.mdb"
            SelectCommand="SELECT * FROM [Orders] WHERE ([CustomerID] = ?)">
            <SelectParameters>
                <asp:ControlParameter ControlID="DropDownList1" Name="CustomerID" PropertyName="SelectedValue"
                    Type="String" />
            </SelectParameters>
        </asp:AccessDataSource>
        <asp:UpdatePanel ID="UpdatePanel2" UpdateMode="Conditional" runat="server">
            <ContentTemplate>
                <asp:Panel ID="Panel1" Width="100%" Height="300px" BackColor="AntiqueWhite" runat="server"
                    OnPreRender="Panel1_PreRender">
                    Some slow loading area ...
                    <br />
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Button1" />
            </Triggers>
        </asp:UpdatePanel>
    </form>
</body>
</html>
